import request from '@/utils/request'

// 查询缓存详细
export function getCache() {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/cache',
    method: 'get'
  })
}

// 查询缓存名称列表
export function listCacheName() {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/cache/getNames',
    method: 'get'
  })
}

// 查询缓存键名列表
export function listCacheKey(cacheName) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/cache/getKeys/' + cacheName,
    method: 'get'
  })
}

// 查询缓存内容
export function getCacheValue(cacheName, cacheKey) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/cache/getValue/' + cacheName + '/' + cacheKey,
    method: 'get'
  })
}

// 清理指定名称缓存
export function clearCacheName(cacheName) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/cache/clearCacheName/' + cacheName,
    method: 'delete'
  })
}

// 清理指定键名缓存
export function clearCacheKey(cacheKey) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/cache/clearCacheKey/' + cacheKey,
    method: 'delete'
  })
}

// 清理全部缓存
export function clearCacheAll() {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/cache/clearCacheAll',
    method: 'delete'
  })
}
